name: Release Creation

on:
  release:
    types: [published]

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - run: echo "💡 The ${{ gitea.repository }} repository will be cloned to the runner."

      - uses: RouxAntoine/checkout@v3.5.4

      # get part of the tag after the `v`
      - name: Extract tag version number
        id: get_version
        uses: battila7/get-version-action@v2

      # Substitute the Manifest and Download URLs in the system.json
      - name: Substitute Manifest and Download Links For Versioned Ones
        id: sub_manifest_link_version
        uses: microsoft/variable-substitution@v1
        with:
          files: "system.json"
        env:
          version: ${{steps.get_version.outputs.version-without-v}}
          url: https://www.uberwald.me/gitea/${{gitea.repository}}
          manifest: https://www.uberwald.me/gitea/public/fvtt-mournblade-cyd-2-0/releases/download/latest/system.json
          download: https://www.uberwald.me/gitea/${{gitea.repository}}/releases/download/${{github.event.release.tag_name}}/fvtt-mournblade-cyd-2-0.zip

      # Build CSS from LESS sources before packaging
      - name: Install Node.js dependencies and build styles
        run: |
          apt update -y
          apt install -y nodejs npm zip
          npm install
          npm run build

      # Create a zip file with all files required by the system
      - run: zip -r ./fvtt-mournblade-cyd-2-0.zip system.json README.md LICENCE.txt assets/ lang/ modules/ packs/ styles/ templates/

      - name: Setup Go
        uses: https://github.com/actions/setup-go@v4
        with:
          go-version: ">=1.20.1"

      - name: Upload release assets
        id: use-go-action
        uses: https://gitea.com/actions/release-action@main
        with:
          files: |-
            ./fvtt-mournblade-cyd-2-0.zip
            system.json
          api_key: "${{secrets.ALLOW_PUSH_RELEASE}}"

#    - name: Publish to Foundry server
#      uses: https://github.com/djlechuck/foundryvtt-publish-package-action@v1
#      with:
#        token: ${{ secrets.FOUNDRYVTT_RELEASE_TOKEN }}
#        id: 'fvtt-mournblade-cyd-2-0'
#        version: ${{github.event.release.tag_name}}
#        manifest: 'https://www.uberwald.me/gitea/public/fvtt-mournblade-cyd-2-0/releases/download/latest/system.json'
#        notes: 'https://www.uberwald.me/gitea/${{gitea.repository}}/releases/download/${{github.event.release.tag_name}}/fvtt-mournblade-cyd-2-0.zip'
#        compatibility-minimum: '14'
#        compatibility-verified: '14'
